<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>Uses of Interface org.apache.poi.hsmf.datatypes.ChunkGroup (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Interface org.apache.poi.hsmf.datatypes.ChunkGroup (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="../package-summary.html">Package</a></li>
        <li><a href="../../../../../../org/apache/poi/hsmf/datatypes/ChunkGroup.html"
               title="interface in org.apache.poi.hsmf.datatypes">Class</a></li>
        <li class="navBarCell1Rev">Use</li>
        <li><a href="../package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev</li>
        <li>Next</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/hsmf/datatypes/class-use/ChunkGroup.html"
               target="_top">Frames</a></li>
        <li><a href="ChunkGroup.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
    <h2 title="Uses of Interface org.apache.poi.hsmf.datatypes.ChunkGroup" class="title">Uses of Interface<br>org.apache.poi.hsmf.datatypes.ChunkGroup
    </h2>
</div>
<div class="classUseContainer">
    <ul class="blockList">
        <li class="blockList">
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing packages, and an explanation">
                <caption><span>Packages that use <a
                        href="../../../../../../org/apache/poi/hsmf/datatypes/ChunkGroup.html"
                        title="interface in org.apache.poi.hsmf.datatypes">ChunkGroup</a></span><span class="tabEnd">&nbsp;</span>
                </caption>
                <tr>
                    <th class="colFirst" scope="col">Package</th>
                    <th class="colLast" scope="col">Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.hsmf.datatypes">org.apache.poi.hsmf.datatypes</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.hsmf.parsers">org.apache.poi.hsmf.parsers</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList">
            <ul class="blockList">
                <li class="blockList"><a name="org.apache.poi.hsmf.datatypes">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../../org/apache/poi/hsmf/datatypes/ChunkGroup.html"
                                   title="interface in org.apache.poi.hsmf.datatypes">ChunkGroup</a> in <a
                            href="../../../../../../org/apache/poi/hsmf/datatypes/package-summary.html">org.apache.poi.hsmf.datatypes</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing subinterfaces, and an explanation">
                        <caption><span>Subinterfaces of <a
                                href="../../../../../../org/apache/poi/hsmf/datatypes/ChunkGroup.html"
                                title="interface in org.apache.poi.hsmf.datatypes">ChunkGroup</a> in <a
                                href="../../../../../../org/apache/poi/hsmf/datatypes/package-summary.html">org.apache.poi.hsmf.datatypes</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Interface and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>interface&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hsmf/datatypes/ChunkGroupWithProperties.html"
                                    title="interface in org.apache.poi.hsmf.datatypes">ChunkGroupWithProperties</a></span></code>
                                <div class="block">A group of chunks which is indexable by <a
                                        href="../../../../../../org/apache/poi/hsmf/datatypes/MAPIProperty.html"
                                        title="class in org.apache.poi.hsmf.datatypes"><code>MAPIProperty</code></a>
                                    entries.
                                </div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing classes, and an explanation">
                        <caption><span>Classes in <a
                                href="../../../../../../org/apache/poi/hsmf/datatypes/package-summary.html">org.apache.poi.hsmf.datatypes</a> that implement <a
                                href="../../../../../../org/apache/poi/hsmf/datatypes/ChunkGroup.html"
                                title="interface in org.apache.poi.hsmf.datatypes">ChunkGroup</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Class and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hsmf/datatypes/AttachmentChunks.html"
                                    title="class in org.apache.poi.hsmf.datatypes">AttachmentChunks</a></span></code>
                                <div class="block">Collection of convenience chunks for standard parts of the MSG file
                                    attachment.
                                </div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hsmf/datatypes/Chunks.html"
                                    title="class in org.apache.poi.hsmf.datatypes">Chunks</a></span></code>
                                <div class="block">Collection of convenience chunks for standard parts of the MSG
                                    file.
                                </div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hsmf/datatypes/NameIdChunks.html"
                                    title="class in org.apache.poi.hsmf.datatypes">NameIdChunks</a></span></code>
                                <div class="block">Collection of convenience chunks for the NameID part of an outlook
                                    file
                                </div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hsmf/datatypes/RecipientChunks.html"
                                    title="class in org.apache.poi.hsmf.datatypes">RecipientChunks</a></span></code>
                                <div class="block">Collection of convenience chunks for the Recip(ient) part of an
                                    outlook file.
                                </div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing constructors, and an explanation">
                        <caption><span>Constructors in <a
                                href="../../../../../../org/apache/poi/hsmf/datatypes/package-summary.html">org.apache.poi.hsmf.datatypes</a> with parameters of type <a
                                href="../../../../../../org/apache/poi/hsmf/datatypes/ChunkGroup.html"
                                title="interface in org.apache.poi.hsmf.datatypes">ChunkGroup</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colOne" scope="col">Constructor and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hsmf/datatypes/MessagePropertiesChunk.html#MessagePropertiesChunk-org.apache.poi.hsmf.datatypes.ChunkGroup-">MessagePropertiesChunk</a></span>(<a
                                    href="../../../../../../org/apache/poi/hsmf/datatypes/ChunkGroup.html"
                                    title="interface in org.apache.poi.hsmf.datatypes">ChunkGroup</a>&nbsp;parentGroup)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hsmf/datatypes/MessagePropertiesChunk.html#MessagePropertiesChunk-org.apache.poi.hsmf.datatypes.ChunkGroup-boolean-">MessagePropertiesChunk</a></span>(<a
                                    href="../../../../../../org/apache/poi/hsmf/datatypes/ChunkGroup.html"
                                    title="interface in org.apache.poi.hsmf.datatypes">ChunkGroup</a>&nbsp;parentGroup,
                                boolean&nbsp;isEmbedded)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hsmf/datatypes/PropertiesChunk.html#PropertiesChunk-org.apache.poi.hsmf.datatypes.ChunkGroup-">PropertiesChunk</a></span>(<a
                                    href="../../../../../../org/apache/poi/hsmf/datatypes/ChunkGroup.html"
                                    title="interface in org.apache.poi.hsmf.datatypes">ChunkGroup</a>&nbsp;parentGroup)</code>
                                <div class="block">Creates a Properties Chunk.</div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hsmf/datatypes/StoragePropertiesChunk.html#StoragePropertiesChunk-org.apache.poi.hsmf.datatypes.ChunkGroup-">StoragePropertiesChunk</a></span>(<a
                                    href="../../../../../../org/apache/poi/hsmf/datatypes/ChunkGroup.html"
                                    title="interface in org.apache.poi.hsmf.datatypes">ChunkGroup</a>&nbsp;parentGroup)</code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.hsmf.parsers">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../../org/apache/poi/hsmf/datatypes/ChunkGroup.html"
                                   title="interface in org.apache.poi.hsmf.datatypes">ChunkGroup</a> in <a
                            href="../../../../../../org/apache/poi/hsmf/parsers/package-summary.html">org.apache.poi.hsmf.parsers</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/hsmf/parsers/package-summary.html">org.apache.poi.hsmf.parsers</a> that return <a
                                href="../../../../../../org/apache/poi/hsmf/datatypes/ChunkGroup.html"
                                title="interface in org.apache.poi.hsmf.datatypes">ChunkGroup</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>static <a
                                    href="../../../../../../org/apache/poi/hsmf/datatypes/ChunkGroup.html"
                                    title="interface in org.apache.poi.hsmf.datatypes">ChunkGroup</a>[]</code></td>
                            <td class="colLast"><span class="typeNameLabel">POIFSChunkParser.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hsmf/parsers/POIFSChunkParser.html#parse-org.apache.poi.poifs.filesystem.DirectoryNode-">parse</a></span>(<a
                                    href="../../../../../../org/apache/poi/poifs/filesystem/DirectoryNode.html"
                                    title="class in org.apache.poi.poifs.filesystem">DirectoryNode</a>&nbsp;node)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>static <a
                                    href="../../../../../../org/apache/poi/hsmf/datatypes/ChunkGroup.html"
                                    title="interface in org.apache.poi.hsmf.datatypes">ChunkGroup</a>[]</code></td>
                            <td class="colLast"><span class="typeNameLabel">POIFSChunkParser.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hsmf/parsers/POIFSChunkParser.html#parse-org.apache.poi.poifs.filesystem.POIFSFileSystem-">parse</a></span>(<a
                                    href="../../../../../../org/apache/poi/poifs/filesystem/POIFSFileSystem.html"
                                    title="class in org.apache.poi.poifs.filesystem">POIFSFileSystem</a>&nbsp;fs)</code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/hsmf/parsers/package-summary.html">org.apache.poi.hsmf.parsers</a> with parameters of type <a
                                href="../../../../../../org/apache/poi/hsmf/datatypes/ChunkGroup.html"
                                title="interface in org.apache.poi.hsmf.datatypes">ChunkGroup</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>protected static void</code></td>
                            <td class="colLast"><span class="typeNameLabel">POIFSChunkParser.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hsmf/parsers/POIFSChunkParser.html#process-org.apache.poi.poifs.filesystem.Entry-org.apache.poi.hsmf.datatypes.ChunkGroup-">process</a></span>(<a
                                    href="../../../../../../org/apache/poi/poifs/filesystem/Entry.html"
                                    title="interface in org.apache.poi.poifs.filesystem">Entry</a>&nbsp;entry,
                                <a href="../../../../../../org/apache/poi/hsmf/datatypes/ChunkGroup.html"
                                   title="interface in org.apache.poi.hsmf.datatypes">ChunkGroup</a>&nbsp;grouping)</code>
                                <div class="block">Creates a chunk, and gives it to its parent group</div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>protected static void</code></td>
                            <td class="colLast"><span class="typeNameLabel">POIFSChunkParser.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hsmf/parsers/POIFSChunkParser.html#processChunks-org.apache.poi.poifs.filesystem.DirectoryNode-org.apache.poi.hsmf.datatypes.ChunkGroup-">processChunks</a></span>(<a
                                    href="../../../../../../org/apache/poi/poifs/filesystem/DirectoryNode.html"
                                    title="class in org.apache.poi.poifs.filesystem">DirectoryNode</a>&nbsp;node,
                                <a href="../../../../../../org/apache/poi/hsmf/datatypes/ChunkGroup.html"
                                   title="interface in org.apache.poi.hsmf.datatypes">ChunkGroup</a>&nbsp;grouping)</code>
                                <div class="block">Creates all the chunks for a given Directory, but
                                    doesn't recurse or descend
                                </div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
            </ul>
        </li>
    </ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="../package-summary.html">Package</a></li>
        <li><a href="../../../../../../org/apache/poi/hsmf/datatypes/ChunkGroup.html"
               title="interface in org.apache.poi.hsmf.datatypes">Class</a></li>
        <li class="navBarCell1Rev">Use</li>
        <li><a href="../package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev</li>
        <li>Next</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/hsmf/datatypes/class-use/ChunkGroup.html"
               target="_top">Frames</a></li>
        <li><a href="ChunkGroup.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
